Zoom Meeting API - August 19, 2023
Published August 21, 2023
Added
- New Billing APIs:
GET /v2/accounts/billing/renewalsGET /v2/accounts/{accountId}/accounts/billing/renewals
- New Archiving API:
PATCH /v2/archive_files/{fileId}
- New Apps API:
POST /v2/app/notifications
Changed
- New
title,numbered_questions,prompts,show_question_type, andfeedbackresponse fields in these Webinars APIs:GET /v2/accounts/{accountId}/webinars/{webinarId}/surveyGET /v2/webinars/{webinarId}/survey
- New
numbered_questions,title,feedback,show_question_type, andpromptsrequest fields in these Meetings APIs:PATCH /v2/accounts/{accountId}/meetings/{meetingId}/surveyPATCH /v2/meetings/{meetingId}/survey
- New
participant_focused_meeting,internal_meeting, andcontinuous_meeting_chatresponse fields in these Meetings APIs:GET /v2/meetings/{meetingId}GET /v2/accounts/{accountId}/meetings/{meetingId}POST /v2/users/{userId}/meetingsPOST /v2/accounts/{accountId}/users/{userId}/meetings
- New
continuous_meeting_chatresponse field in these Accounts APIs:GET /v2/accounts/{accountId}/lock_settingsGET /v2/accounts/{accountId}/accounts/{accountId}/lock_settingsGET /v2/accounts/{accountId}/accounts/{accountId}/settingsGET /v2/accounts/{accountId}/settings
- New
continuous_meeting_chat,internal_meeting, andparticipant_focused_meetingrequest fields in these Meetings APIs:PATCH /v2/meetings/{meetingId}PATCH /v2/accounts/{accountId}/meetings/{meetingId}POST /v2/users/{userId}/meetingsPOST /v2/accounts/{accountId}/users/{userId}/meetings
- New
storage_locationresponse field in these Archiving APIs:GET /v2/past_meetings/{meetingUUID}/archive_filesGET /v2/accounts/{accountId}/archive_filesGET /v2/archive_files
- New
continuous_meeting_chatrequest field in these Groups APIs:PATCH /v2/groups/{groupId}/settingsPATCH /v2/accounts/{accountId}/groups/{groupId}/settingsPATCH /v2/accounts/{accountId}/groups/{groupId}/lock_settingsPATCH /v2/groups/{groupId}/lock_settings
- New
feedback,prompts,show_question_type,numbered_questions, andtitleresponse fields in these Meetings APIs:GET /v2/accounts/{accountId}/meetings/{meetingId}/surveyGET /v2/meetings/{meetingId}/survey
- New
show_question_type,prompts,feedback,title, andnumbered_questionsrequest fields in the following Webinars APIs:PATCH /v2/accounts/{accountId}/webinars/{webinarId}/surveyPATCH /v2/webinars/{webinarId}/survey
- New
continuous_meeting_chatresponse field in the following Groups APIs:GET /v2/groups/{groupId}/settingsGET /v2/accounts/{accountId}/groups/{groupId}/settingsGET /v2/accounts/{accountId}/groups/{groupId}/lock_settingsGET /v2/groups/{groupId}/lock_settings
- New
wifi_rssiresponse field in these Dashboards APIs:GET /v2/accounts/{accountId}/metrics/webinars/{webinarId}/participants/{participantId}/qosGET /v2/metrics/webinars/{webinarId}/participants/{participantId}/qosGET /v2/metrics/webinars/{webinarId}/participants/qosGET /v2/accounts/{accountId}/metrics/webinars/{webinarId}/participants/qosGET /v2/metrics/meetings/{meetingId}/participants/{participantId}/qosGET /v2/accounts/{accountId}/metrics/meetings/{meetingId}/participants/{participantId}/qosGET /v2/accounts/{accountId}/metrics/meetings/{meetingId}/participants/qosGET /v2/metrics/meetings/{meetingId}/participants/qos
- New
continuous_meeting_chatrequest field in these Accounts APIs:PATCH /v2/accounts/{accountId}/lock_settingsPATCH /v2/accounts/{accountId}/accounts/{accountId}/lock_settingsPATCH /v2/accounts/{accountId}/accounts/{accountId}/settingsPATCH /v2/accounts/{accountId}/settings
- New
continuous_meeting_chatresponse field in these Users APIs:GET /v2/accounts/{accountId}/users/{userId}/settingsGET /v2/users/{userId}/settings
- New
storage_locationfield in these Cloud Recording webhook events:recording.archive_files_completed
Bug Fixes
- Fixed the issue where updating a registrant's status bypass via with
whitespace lead to email bomber.
PUT /v2/meetings/{meetingId}/registrants/statusPUT /v2/webinars/{webinarId}/registrants/statusPUT /v2/accounts/{accountId}/meetings/{meetingId}/registrants/statusPUT /v2/accounts/{accountId}/webinars/{webinarId}/registrants/status
- Fixed the issue where if the schedule privilege is removed, the
meeting host cannot update the meeting.
PATCH /v2/meetings/{meetingId}PATCH /v2/accounts/{accountId}/meetings/{meetingId}
- Fixed the issue where the Get past meeting participants API does
not return the "status" field.
GET /v2/past_meetings/{meetingId}/participantsGET /v2/past_webinars/{webinarId}/participants